%define name 	 hugin
%define version  0.7
%define beta     beta4
%define release  %mkrel 0.%{beta}.1


Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Summary:    Panorama Tools GUI
License: 	GPL
Group: 		Graphics
Url: 		http://hugin.sourceforge.net
Source0: 	http://downloads.sourceforge.net/hugin/%{name}-%{version}_%{beta}.tar.bz2
Patch0:		hugin-0.5-defconfig.patch.bz2
Source11: 	%{name}.16.png
Source12: 	%{name}.32.png
Source13: 	%{name}.48.png
Requires:	pano12
Requires:       enblend
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
BuildRequires: 	libboost-devel
BuildRequires: 	pano12-devel >= 2.8.1
BuildRequires: 	pano13-devel >= 2.8.1
BuildRequires: 	fftw2-devel
BuildRequires: 	libwxgtku-devel > 2.5
BuildRequires:	zlib-devel 
BuildRequires:	libtiff-devel
BuildRequires:	libjpeg-devel
BuildRequires: 	libpng-devel
BuildRequires:	zip
BuildRequires: desktop-file-utils
BuildRoot: 	%{_tmppath}/%{name}-%{version}

%description
Hugin can be used to stitch multiple images together. The resulting image can
span 360 degrees. Another common use is the creation of very high resolution
pictures by combining multiple images. 

%prep 
%setup -q -n %{name}-%{version}_%{beta}
#%patch0 

%build
touch m4/Makefile.in

# work-around broken wxGTK2.6 package
ln -s %{_bindir}/wxrc-2.6-unicode ./wxrc
export PATH=`pwd`:$PATH

%configure2_5x \
    --disable-rpath \
    --disable-static \
    --with-wx-config=wx-config-unicode \
    --with-unicode=yes

%make

%install
rm -rf %buildroot

%makeinstall_std
%find_lang %name
%find_lang nona_gui
cat nona_gui.lang >> %name.lang

perl -pi -e "s|\r\n|\n|" %buildroot%{_datadir}/%name/xrc/data/*.xpm

# Menu icons
install -m644 %{SOURCE11} -D %buildroot%{_miconsdir}/%{name}.png
install -m644 %{SOURCE12} -D %buildroot%{_iconsdir}/%{name}.png
install -m644 %{SOURCE13} -D %buildroot%{_liconsdir}/%{name}.png

# menu entry
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-CrossDesktop;" \
  --add-category="Photography" \
  --add-category="Graphics" \
  --dir %{buildroot}%{_datadir}/applications \
  %{buildroot}%{_datadir}/applications/*

%clean 
rm -rf %buildroot

%post
%{update_menus} 
%{update_desktop_database}

%postun 
%{clean_menus} 
%{clean_desktop_database}

%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS BUGS LICENCE README TODO
%{_bindir}/*
%{_datadir}/%{name}
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_mandir}/man?/*
%{_datadir}/applications/hugin.desktop
%{_datadir}/icons/gnome/48x48/mimetypes/gnome-mime-application-x-ptoptimizer-script.png
%{_datadir}/mime/packages/hugin.xml
%{_datadir}/pixmaps/hugin.png



%changelog
* Sun Jan 27 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.7-0.beta4.1mdv2008.1
+ Revision: 158623
- pano13 support
- new version

* Sat Jan 12 2008 Austin Acton <austin@mandriva.org> 0.6.1-4mdv2008.1
+ Revision: 149791
- rebuild for boost

  + Thierry Vignaud <tvignaud@mandriva.com>
    - drop old menu
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Sep 24 2007 Anne Nicolas <anne.nicolas@mandriva.com> 0.6.1-3mdv2008.0
+ Revision: 92452
- Fix BuilRequire
- increase release
- Fix menu
- import hugin


* Sat Sep 02 2006 Anssi Hannula <anssi@mandriva.org> 0.6.1-2mdv2007.0
- fix buildrequires

* Mon Aug 21 2006 Frederic Crozat <fcrozat@mandriva.com> 0.6.1-1mdv2007.0
- Release 0.6.1

* Sat Jul 29 2006 Couriousous <couriousous@mandriva.org> 0.6-1mdv2007.0
- mkrel
- XDG menu
- 0.6

* Sun Jan 14 2006 Sebastien Savarin <plouf@mandriva.org> 0.5.3mdk
- Fix Requires on enblend

* Sat Jan  7 2006 Couriousous <couriousous@mandriva.org> 0.5-2mdk
- Fix buildrequires ( danny at mailmij,org )

* Sat Dec 17 2005 Couriousous <couriousous@mandriva.org> 0.5-1mdk
- 0.5 final

* Sun Sep 25 2005 Couriousous <couriousous@mandriva.org> 0.5-0.rc2.1mdk
- rc2
- Requires pano12 ( for PTOptimizer )
- Requires enblend ( hugin use it to blend pictures )
- Remove old sift-related stuff

* Thu Sep  1 2005 Couriousous <couriousous@mandriva.org> 0.5-0.rc1.5mdk
- rebuild without glitz deps

* Sat Aug 20 2005 Couriousous <couriousous@mandriva.org> 0.5-0.rc1.4mdk
- Fix hugin on x86_64

* Fri Jul 08 2005 Couriousous <couriousous@mandriva.org> 0.5-0.rc1.3mdk
- Rebuild with wxGTK2.6 
- Build with unicode 
- Do not use -z with enblend

* Mon Jun 27 2005 Couriousous <couriousous@mandriva.org> 0.5-0.rc1.2mdk
- Rebuild with wxGTK2.5

* Sun Jun 12 2005 Frederic Crozat <fcrozat@mandriva.com> 0.5-0.rc1.1mdk 
- Release 0.5rc1

* Sat May 21 2005 Couriousous <couriousous@mandriva.org> 0.5-0.beta6.2mdk
- Work-around some wxGTK2.6 bug

* Sat May 21 2005 Couriousous <couriousous@mandriva.org> 0.5-0.beta6.1mdk
- Beta6
- Rebuild with wxGTK 2.6 

* Sun May 15 2005 Couriousous <couriousous@mandriva.org> 0.5-0.beta4.2mdk
- Rebuild with WxWidget 2.5

* Sun Mar 27 2005 Couriousous <couriousous@mandrake.org> 0.5-0.beta4.1mdk
- 0.5 beta4

* Wed Jan 26 2005 Couriousous <couriousous@mandrake.org> 0.4-0.20050126.1mdk
- Cvs sync
- Disable french locale since it doesn't build

* Tue Jan 04 2005 Couriousous <couriousous@mandrake.org> 0.4-0.20050104.1mdk
- Cvs sync
- Some spec clean
- Use automatic install
- Add locales
- Disable "de" locale, as it doesn't build

* Wed Dec 08 2004 Couriousous <couriousous@mandrake.org> 0.4-0.20041208.1mdk
- Cvs sync

* Sat Aug 28 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.4-0.20040725.2mdk
- fixed directory ownership (distlint)

* Thu Aug 05 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.4-0.20040725.1mdk
- update from Couriousous <couriousous@zarb.org>:
 - sync with CVS
 - drop patch0
 - split the patented and non-patented part in two package
- disabled parallel build
- fixed buildrequires

* Fri Jul 02 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.3-1mdk 
- contributed by Couriousous <couriousous@sceen.net>
